Bug 1985545 - driver-toolkit gcc install unable to download extract-vmlinux script in ART builds
Summary: driver-toolkit gcc install unable to download extract-vmlinux script in ART b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Special Resource Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.7.z
Assignee: dagray
QA Contact: Walid A.
URL:
Whiteboard:
: 1990147 (view as bug list)
Depends On: 1979984 1988478
Blocks: 1988127
TreeView+ depends on / blocked
 
Reported: 2021-07-23 20:27 UTC by OpenShift BugZilla Robot
Modified: 2021-08-11 06:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-11 06:41:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 50 0 None open [release-4.7] Bug 1985545: Remove curl of extract-vmlinux 2021-08-04 21:53:35 UTC
Github openshift driver-toolkit pull 56 0 None None None 2021-08-04 21:53:36 UTC
Red Hat Product Errata RHSA-2021:2977 0 None None None 2021-08-11 06:41:24 UTC

Comment 3 Walid A. 2021-08-03 14:12:40 UTC
This is still not fixed. still seeing gcc version mismatches

# podman run -it 7dd8c7b659fb /bin/bash
 
[root@f44db456968a kmods-via-containers]# pwd
/tmp/kmods-via-containers
[root@f44db456968a kmods-via-containers]# ls -ltr
total 40
-rw-r--r--. 1 root root   844 Jul 26 17:57 kmods-via-containers@.service
-rw-r--r--. 1 root root   268 Jul 26 17:57 kmods-via-containers.conf
-rwxr-xr-x. 1 root root  4716 Jul 26 17:57 kmods-via-containers
-rw-r--r--. 1 root root 12599 Jul 26 17:57 README.md
-rw-r--r--. 1 root root   679 Jul 26 17:57 Makefile
-rw-r--r--. 1 root root  1067 Jul 26 17:57 LICENSE
[root@f44db456968a kmods-via-containers]# 
[root@f44db456968a kmods-via-containers]# uname -a
Linux f44db456968a 4.18.0-193.el8.x86_64 #1 SMP Fri Mar 27 14:35:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

[root@f44db456968a kmods-via-containers]# export INSTALLED_KERNEL=$(rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}"  kernel-core) && GCC_VERSION=$(cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)")

[root@f44db456968a kmods-via-containers]# echo $INSTALLED_KERNEL
4.18.0-240.23.2.el8_3.x86_64

[root@f44db456968a kmods-via-containers]# echo $GCC_VERSION
8.3.1

[root@f44db456968a kmods-via-containers]# dnf list installed | grep gcc
gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64           
libgcc.x86_64                                 8.4.1-1.el8                          @System                                 
[root@f44db456968a kmods-via-containers]# cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)"
8.3.1


[root@f44db456968a kmods-via-containers]# rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}" kernel-core
4.18.0-240.23.2.el8_3.x86_64[root@f44db456968a kmods-via-containers]# 

[root@f44db456968a kmods-via-containers]# echo $INSTALLED_KERNEL
4.18.0-240.23.2.el8_3.x86_64

Comment 4 Yaakov Selkowitz 2021-08-04 21:52:09 UTC
*** Bug 1990147 has been marked as a duplicate of this bug. ***

Comment 5 Yaakov Selkowitz 2021-08-04 21:53:01 UTC
The mismatches will be fixed by the PR for bug 1990147

Comment 8 Walid A. 2021-08-06 00:30:20 UTC
driver-toolkit image from:  https://openshift-release-artifacts.apps.ci.l2s4.p1.openshiftapps.com/4.7.0-0.nightly-2021-08-05-222615/release.txt

gcc version on container is correct:  8.3.1
 
# podman pull --authfile /root/pull-secret.json quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:63df10079a7a3087d994364b13e505aec4c3380ae45cdb3baf3ce52efbfb6b71
Trying to pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:63df10079a7a3087d994364b13e505aec4c3380ae45cdb3baf3ce52efbfb6b71...
Getting image source signatures
Copying blob 1cadda38f72d skipped: already exists  
Copying blob a50df8fd88fe skipped: already exists  
Copying blob c80bce5fa2d3 done  
Copying blob 3ddfba001af4 done  
Copying blob 8650a87aeaad done  
Copying config 830ca6dc26 done  
Writing manifest to image destination
Storing signatures
830ca6dc26bf2d0f66d45083eaed0213f3005005bf1df45b93b161603b96a0ef

# podman images | grep 830ca6dc26b
quay.io/openshift-release-dev/ocp-v4.0-art-dev        <none>                            830ca6dc26bf  2 hours ago    1.29 GB

# podman run -it 830ca6dc26bf /bin/bash 
[root@2a0386fa0302 kmods-via-containers]# uname -a
Linux 2a0386fa0302 4.18.0-193.el8.x86_64 #1 SMP Fri Mar 27 14:35:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

[root@2a0386fa0302 kmods-via-containers]# export INSTALLED_KERNEL=$(rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}"  kernel-core) && GCC_VERSION=$(cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)")

[root@2a0386fa0302 kmods-via-containers]# echo $INSTALLED_KERNEL
4.18.0-240.23.2.el8_3.x86_64


[root@2a0386fa0302 kmods-via-containers]# echo $GCC_VERSION
8.3.1

[root@2a0386fa0302 kmods-via-containers]# dnf list installed | grep gcc
gcc.x86_64                                    8.3.1-5.1.el8                        @rhel-8-appstream-rpms-x86_64           
libgcc.x86_64                                 8.4.1-1.el8                          @System

Comment 10 errata-xmlrpc 2021-08-11 06:41:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.23 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2977


Note You need to log in before you can comment on or make changes to this bug.